SniProxySocketFactory (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.cache.client.proxy

## Class SniProxySocketFactory

- java.lang.Object
- - org.apache.geode.cache.client.proxy.SniProxySocketFactory

- All Implemented Interfaces:
    SocketFactory, Declarable

      public class SniProxySocketFactory
      extends Object
      implements SocketFactory, Declarable

  A `SocketFactory` that connects a client to locators and servers through a SNI proxy.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.geode.cache.client.SocketFactory

      `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SniProxySocketFactory()`
    `SniProxySocketFactory(String hostname, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()` Create an unconnected tcp socket for establishing a client.
    `String` | `getHostname()`
    `int` | `getPort()`
    `void` | `initialize(Cache cache, Properties properties)` Initializes a user-defined object, owned by the given cache, using the given properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init`

- - ### Constructor Detail

    - #### SniProxySocketFactory

          public SniProxySocketFactory()

    - #### SniProxySocketFactory

          public SniProxySocketFactory(String hostname,
                                       int port)

  - ### Method Detail

    - #### initialize

          public void initialize(Cache cache,
                                 Properties properties)

      Description copied from interface: `Declarable`
      Initializes a user-defined object, owned by the given cache, using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail. Note that if this method is implemented then the deprecated init method should not be implemented. The product will call both methods assuming that only one will have a non-default implementation.
      Specified by:
        `initialize` in interface `Declarable`
      Parameters:
        `cache` - the cache that owns this declarable
        `properties` - Contains the parameters declared in the declarative xml file.

    - #### createSocket

          public Socket createSocket()
                              throws IOException

      Description copied from interface: `SocketFactory`
      Create an unconnected tcp socket for establishing a client.
      Specified by:
        `createSocket` in interface `SocketFactory`
      Returns:
        an unconnected socket
      Throws:
        `IOException`

    - #### getHostname

          public String getHostname()

    - #### getPort

          public int getPort()